Closed Bug 1409739 Opened 2 years ago Closed Last year

Enable DMD in nightly/CI builds

Categories

(Release Engineering :: General, enhancement, P3)

enhancement

Tracking

(firefox64 fixed)

RESOLVED FIXED
Tracking Status
firefox64 --- fixed

People

(Reporter: catlee, Assigned: erahm)

References

(Blocks 2 open bugs)

Details

Attachments

(5 files, 6 obsolete files)

1.04 KB, patch
njn
: review+
Details | Diff | Splinter Review
8.41 KB, patch
glandium
: review+
Details | Diff | Splinter Review
2.68 KB, patch
glandium
: review+
Details | Diff | Splinter Review
1.64 KB, patch
glandium
: review+
Details | Diff | Splinter Review
2.73 KB, patch
Details | Diff | Splinter Review
No description provided.
Attachment #8919732 - Flags: review?(mh+mozilla)
Attachment #8919733 - Flags: review?(mh+mozilla)
Comment on attachment 8919732 [details]
Bug 1409739: Remove old DMD configs

https://reviewboard.mozilla.org/r/190674/#review196216
Attachment #8919732 - Flags: review?(mh+mozilla) → review+
Comment on attachment 8919733 [details]
Bug 1409739: Enable DMD in nightly/CI builds

https://reviewboard.mozilla.org/r/190676/#review196248

Let's go with this for the moment. Ideally, we'd enable this at the configure level, but there are some roadblocks to that: that would break e.g --disable-jemalloc if --disable-dmd is not added as well (which would make e.g. asan build even more inconvenient than they currently are). Please file a followup to make it the default at the configure level, but without the inconvenience the simple patch to do it would create.
Attachment #8919733 - Flags: review?(mh+mozilla) → review+
Pushed by catlee@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/87c05e34ef50
Remove old DMD configs r=glandium
https://hg.mozilla.org/integration/autoland/rev/ab89803d6dce
Enable DMD in nightly/CI builds r=glandium
Backed out for valgrind bustage: '--enable-jemalloc' implied by '--enable-dmd' conflicts with '--disable-jemalloc' from the mozconfig:

https://hg.mozilla.org/integration/autoland/rev/1f0859ceb52a98c24e39387cfbce92ed06117a29
https://hg.mozilla.org/integration/autoland/rev/96314d8e284dd188cdefb63a6c96a49b7769b11b

Push with failure: https://treeherder.mozilla.org/#/jobs?repo=autoland&revision=ab89803d6dcef9bc0c8bb538717f0b381a005a0e&filter-resultStatus=testfailed&filter-resultStatus=busted&filter-resultStatus=exception&filter-resultStatus=retry&filter-resultStatus=usercancel&filter-resultStatus=runnable
Failure log: https://treeherder.mozilla.org/logviewer.html#?job_id=138252392&repo=autoland
> mozbuild.configure.options.InvalidOptionError: '--enable-jemalloc' implied by '--enable-dmd' conflicts with '--disable-jemalloc' from the mozconfig
Most helpful error message of the year?
Flags: needinfo?(catlee)
This also fails the xpcshell memory/replace/dmd/test/test_dmd.js with test - [test : 113] complete-full1-live - false == true https://treeherder.mozilla.org/logviewer.html#?job_id=138263025&repo=autoland
Linux and Windows builds are busted, so no idea what would be the results for these.
(In reply to Sebastian Hengst [:aryx][:archaeopteryx] (needinfo on intermittent or backout) from comment #7)
> This also fails the xpcshell memory/replace/dmd/test/test_dmd.js with test -
> [test : 113] complete-full1-live - false == true
> https://treeherder.mozilla.org/logviewer.html#?job_id=138263025&repo=autoland
> Linux and Windows builds are busted, so no idea what would be the results
> for these.

Nick it looks like the dmd test is failing, can you check that out?
Flags: needinfo?(n.nethercote)
> Nick it looks like the dmd test is failing, can you check that out?

The problem is with the stack traces. There are lots of diffs like this:

>    8,192 bytes (7,169 requested / 1,023 slop)
>    67.72% of the heap (67.72% cumulative)
>    Allocated at {
> -    #01: ... DMD.cpp ...
> +    #01: 2017-10-19 10:24:03.237 atos[6888:138979] Metadata.framework [Error]: couldn't get the client port
> +    #02: main (in SmokeDMD) + 20
> +    #03: 2017-10-19 10:24:03.189 atos[6886:138972] Metadata.framework [Error]: couldn't get the client port
> +    #04: TestFull(char const*, int, char const*, int) (in SmokeDMD) + 793
> +    #05: TestFull(char const*, int, char const*, int) (in SmokeDMD) + 317
>    }
>  }

The test filters the stack traces, as this comment in dmd.py explains:

    # When running SmokeDMD.cpp, every stack trace should contain at
    # least one frame that contains 'DMD.cpp', from either |DMD.cpp| or
    # |SmokeDMD.cpp|. (Or 'dmd.cpp' on Windows.) If we see such a
    # frame, we replace the entire stack trace with a single,
    # predictable frame. There is too much variation in the stack
    # traces across different machines and platforms to do more precise
    # matching, but this level of matching will result in failure if
    # stack fixing fails completely.

Neither DMD.cpp nor dmd.cpp appear in the stack trace. It looks like we have symbols but no debuginfo, therefore no line numbers and source files.

Given that this is an opt build this might be expected? If that's the case we could change dmd.py to also accept "SmokeDMD" when doing the filtering. Alternatively, we should work out why the debuginfo isn't present (or isn't being used).
Flags: needinfo?(n.nethercote)
Flags: needinfo?(catlee)
Assignee: catlee → nobody
Priority: -- → P3
QA Contact: catlee
The rollout of WebRender is turning up a fair amount of high heap-unclassified reports (bug 1495162 for instance). It would be nice to have DMD support in nightly so that users can submit more helpful data. Nick were you waiting for info back from comment 11 or do you think we could just do the:

> change dmd.py to also accept "SmokeDMD" when doing the filtering.

part and we can follow up to find out if not having debug info is expected behavior.
Flags: needinfo?(n.nethercote)
Just accepting "SmokeDMD" seems fine.
Flags: needinfo?(n.nethercote)
On some builds we only get 'SmokeDMD' references during testing rather than a full file path. This adds 'SmokeDMD' to the acceptable frame description list.
Attachment #9013474 - Flags: review?(n.nethercote)
Assignee: nobody → erahm
Status: NEW → ASSIGNED
MozReview-Commit-ID: H7kc33CXIbQ
Attachment #9013475 - Flags: review?(mh+mozilla)
MozReview-Commit-ID: 12tmFzzvRvP
Attachment #9013476 - Flags: review?(mh+mozilla)
MozReview-Commit-ID: BZ14eQimky
Attachment #9013477 - Flags: review?(mh+mozilla)
remote: Follow the progress of your build on Treeherder:
remote:   https://treeherder.mozilla.org/#/jobs?repo=try&revision=90b311abbea74e5c32f82869208911a19dfb2a95
Attachment #8919732 - Attachment is obsolete: true
Attachment #8919733 - Attachment is obsolete: true
Attachment #8920327 - Attachment is obsolete: true
Comment on attachment 9013474 [details] [diff] [review]
Part 1: Accept SmokeDMD when filtering test DMD stacks

Review of attachment 9013474 [details] [diff] [review]:
-----------------------------------------------------------------

::: memory/replace/dmd/dmd.py
@@ +340,4 @@
>              # stack fixing fails completely.
>              for frameKey in frameKeys:
>                  frameDesc = frameTable[frameKey]
> +                if frameDesc in ('DMD.cpp', 'dmd.cpp', 'SmokeDMD'):

Please update the comment above this code to make it clear that `DMD.cpp`/`dmd.cpp` appears when debuginfo is present, and `SmokeDMD` appears otherwise.
Attachment #9013474 - Flags: review?(n.nethercote) → review+
Attachment #9013475 - Flags: review?(mh+mozilla) → review+
Comment on attachment 9013476 [details] [diff] [review]
Part 3: Enable DMD in nightly/CI builds

Review of attachment 9013476 [details] [diff] [review]:
-----------------------------------------------------------------

::: browser/config/mozconfigs/linux32/nightly
@@ +1,4 @@
>  . "$topsrcdir/browser/config/mozconfigs/linux32/common-opt"
>  
>  ac_add_options --enable-verify-mar
> +ac_add_options --enable-dmd

Might be worth filing a followup to make it the default when all the right things are aligned (jemalloc enabled, milestone is nightly, ...)

::: browser/config/mozconfigs/win64/common-opt
@@ +6,4 @@
>  
>  ac_add_options --enable-update-channel=${MOZ_UPDATE_CHANNEL}
>  ac_add_options --enable-jemalloc
> +

unnecessary change
Attachment #9013476 - Flags: review?(mh+mozilla) → review+
Comment on attachment 9013477 [details] [diff] [review]
Part 4: Disable DMD on valgrind, ccov builds; fix mozconfig whitelist

Review of attachment 9013477 [details] [diff] [review]:
-----------------------------------------------------------------

This should be folded in part 3.
Attachment #9013477 - Flags: review?(mh+mozilla) → review+
Pushed by erahm@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/1192c15fc934
Part 1: Accept SmokeDMD when filtering test DMD stacks. r=njn
https://hg.mozilla.org/integration/mozilla-inbound/rev/c0da83c08b62
Part 2: Remove old DMD configs r=glandium
https://hg.mozilla.org/integration/mozilla-inbound/rev/39c8abcf9cb2
Part 3: Enable DMD in nightly/CI builds r=glandium
Backed out 3 changesets (bug 1409739) for failing at /dmd/test/test_dmd.js on a CLOSED TREE

Backout link: https://hg.mozilla.org/integration/mozilla-inbound/rev/686469f2aff820259a3cca47cfb3249ae7ceba16

Push with failures: https://treeherder.mozilla.org/#/jobs?repo=mozilla-inbound&resultStatus=testfailed,busted,exception&revision=39c8abcf9cb2f40b78289a5535fe550368302423

Log link: https://treeherder.mozilla.org/logviewer.html#?job_id=202897289&repo=mozilla-inbound&lineNumber=2098

Log snippet: 

[task 2018-10-02T15:41:05.473Z] 15:41:05     INFO -  TEST-START | memory/replace/dmd/test/test_dmd.js
[task 2018-10-02T15:41:05.859Z] 15:41:05  WARNING -  TEST-UNEXPECTED-FAIL | memory/replace/dmd/test/test_dmd.js | xpcshell return code: 0
[task 2018-10-02T15:41:05.860Z] 15:41:05     INFO -  TEST-INFO took 378ms
Flags: needinfo?(erahm)
Pushed by erahm@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/d39c2dfcc700
Part 1: Accept SmokeDMD when filtering test DMD stacks. r=njn
https://hg.mozilla.org/integration/mozilla-inbound/rev/e37ea5eb932a
Part 2: Remove old DMD configs r=glandium
https://hg.mozilla.org/integration/mozilla-inbound/rev/dc3c5143ba4e
Part 3: Enable DMD in nightly/CI builds r=glandium
Backed out 3 changesets (bug 1409739) for xpcshell failures at memory/replace/dmd/test/test_dmd.js

Backout: https://hg.mozilla.org/integration/mozilla-inbound/rev/ee039301d7c804b19761b3ea20ee335572ca66a9

Failure push: https://treeherder.mozilla.org/#/jobs?repo=mozilla-inbound&revision=dc3c5143ba4eb93d78eb12f790d4dbc22e6e4137&selectedJob=202978434

Failure log: https://treeherder.mozilla.org/logviewer.html#?job_id=202978434&repo=mozilla-inbound&lineNumber=10134

23:00:43     INFO -  TEST-START | memory/replace/dmd/test/test_dmd.js
23:00:44  WARNING -  TEST-UNEXPECTED-FAIL | memory/replace/dmd/test/test_dmd.js | xpcshell return code: 0
23:00:44     INFO -  TEST-INFO took 512ms
23:00:44     INFO -  >>>>>>>
23:00:44     INFO -  (xpcshell/head.js) | test MAIN run_test pending (1)
23:00:44     INFO -  PID 14980 | DMD[1192] $DMD = '1'
23:00:44     INFO -  PID 14980 | DMD[1192] Dump 1 {
23:00:44     INFO -  PID 14980 | DMD[1192]   Constructing the heap block list...
23:00:44     INFO -  PID 14980 | DMD[1192]   Constructing the stack trace table...
23:00:44     INFO -  PID 14980 | DMD[1192]   Constructing the stack frame table...
23:00:44     INFO -  PID 14980 | DMD[1192] }
23:00:44     INFO -  PID 14980 | DMD[1192] Dump 2 {
23:00:44     INFO -  PID 14980 | DMD[1192]   Constructing the heap block list...
23:00:44     INFO -  PID 14980 | DMD[1192]   Constructing the stack trace table...
23:00:44     INFO -  PID 14980 | DMD[1192]   Constructing the stack frame table...
23:00:44     INFO -  PID 14980 | DMD[1192] }
23:00:44     INFO -  PID 14980 | DMD[1192] Dump 3 {
23:00:44     INFO -  PID 14980 | DMD[1192]   Constructing the heap block list...
23:00:44     INFO -  PID 14980 | DMD[1192]   Constructing the stack trace table...
23:00:44     INFO -  PID 14980 | DMD[1192]   Constructing the stack frame table...
23:00:44     INFO -  PID 14980 | DMD[1192] }
23:00:44     INFO -  PID 14980 | DMD[1192] Dump 4 {
23:00:44     INFO -  PID 14980 | DMD[1192]   Constructing the heap block list...
23:00:44     INFO -  PID 14980 | DMD[1192]   Constructing the stack trace table...
23:00:44     INFO -  PID 14980 | DMD[1192]   Constructing the stack frame table...
23:00:44     INFO -  PID 14980 | DMD[1192]   Execution measurements {
23:00:44     INFO -  PID 14980 | DMD[1192]     Data structures that persist after Dump() ends {
23:00:44     INFO -  PID 14980 | DMD[1192]       Used stack traces:         4,576 bytes
23:00:44     INFO -  PID 14980 | DMD[1192]       Unused stack traces:       1,456 bytes
23:00:44     INFO -  PID 14980 | DMD[1192]       Stack trace table:       262,176 bytes (16,384 entries, 29 used)
23:00:44     INFO -  PID 14980 | DMD[1192]       Live block table:         24,608 bytes (512 entries, 30 used)
23:00:44     INFO -  PID 14980 | DMD[1192]       Dead block table:             32 bytes (0 entries, 0 used)
23:00:44     INFO -  PID 14980 | DMD[1192]     }
23:00:44     INFO -  PID 14980 | DMD[1192]     Data structures that are destroyed after Dump() ends {
23:00:44     INFO -  PID 14980 | DMD[1192]       Location service:         203,136 bytes
23:00:44     INFO -  PID 14980 | DMD[1192]       Used stack traces set:     16,384 bytes
23:00:44     INFO -  PID 14980 | DMD[1192]       Used PCs set:              16,384 bytes
23:00:44     INFO -  PID 14980 | DMD[1192]       Pointer ID map:            24,576 bytes
23:00:44     INFO -  PID 14980 | DMD[1192]     }
23:00:44     INFO -  PID 14980 | DMD[1192]     Counts {
23:00:44     INFO -  PID 14980 | DMD[1192]       Location service:            25 requests
23:00:44     INFO -  PID 14980 | DMD[1192]       Location service cache:   0.0% hit rate, 0.6% occupancy at end
23:00:44     INFO -  PID 14980 | DMD[1192]     }
23:00:44     INFO -  PID 14980 | DMD[1192]   }
23:00:44     INFO -  PID 14980 | DMD[1192] }
Pushed by erahm@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/fcdc1d5eaf1a
Part 1: Accept SmokeDMD when filtering test DMD stacks. r=njn
https://hg.mozilla.org/integration/mozilla-inbound/rev/617288a6b2d9
Part 2: Remove old DMD configs r=glandium
https://hg.mozilla.org/integration/mozilla-inbound/rev/387f946c7c48
Part 3: Enable DMD in nightly/CI builds r=glandium
Backed out for causing Linux x64 ccov & fuzzing bustages. 

Push with failures: https://treeherder.mozilla.org/#/jobs?repo=mozilla-central&resultStatus=testfailed,busted,exception&revision=3530790e23d18b6f8f73471e367a942f201dd452&selectedJob=203143017

Failure log: https://treeherder.mozilla.org/logviewer.html#?job_id=203143017&repo=mozilla-central&lineNumber=885

Backout link: https://hg.mozilla.org/mozilla-central/rev/6c9edde85770866e02a630ddd03c6a66dd735b86

[task 2018-10-03T17:03:05.216Z] 17:03:05     INFO -  mozbuild.configure.options.InvalidOptionError: '--enable-profiling' implied by '--enable-dmd' conflicts with '--disable-profiling' from the mozconfig
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
Be aware that we noticed very big AWSY regressions, when this bug landed. The backouts canceled them, of course.

== Change summary for alert #16414 (as of Wed, 03 Oct 2018 01:14:08 GMT) ==

Regressions:

 72%  Base Content Explicit linux64 opt stylo                           15,493,205.33 -> 26,721,621.33
 50%  Base Content Resident Unique Memory linux64 opt stylo             21,623,381.33 -> 32,446,805.33
 47%  Base Content Explicit windows10-64 pgo stylo                      13,555,626.67 -> 19,895,808.00
 47%  Base Content Explicit osx-10-10 opt stylo                         13,346,986.67 -> 19,588,778.67
 45%  Base Content Explicit windows10-64 opt stylo                      13,573,205.33 -> 19,680,085.33
 42%  Base Content Resident Unique Memory windows10-64 opt stylo        15,671,466.67 -> 22,207,146.67
 42%  Base Content Resident Unique Memory windows10-64 pgo stylo        15,694,592.00 -> 22,214,314.67
 41%  Explicit Memory linux64 opt stylo                                 335,612,256.76 -> 474,596,897.90
 39%  Explicit Memory linux64-stylo-sequential opt stylo-sequential     328,682,969.25 -> 458,445,590.98
 35%  Explicit Memory windows10-64 opt stylo                            315,553,875.40 -> 426,534,735.59
 34%  Resident Memory windows10-64 opt stylo                            472,850,336.85 -> 633,498,237.00
 33%  Base Content Explicit windows7-32 opt stylo                       8,951,466.67 -> 11,948,202.67
 33%  Base Content Explicit windows7-32 pgo stylo                       8,968,192.00 -> 11,951,616.00
 30%  Resident Memory windows7-32 opt stylo                             478,238,047.69 -> 621,732,649.07
 29%  Resident Memory linux64 opt stylo                                 550,370,102.76 -> 707,658,820.32
 27%  Explicit Memory linux64-qr opt stylo                              578,738,833.17 -> 737,357,097.86
 26%  Resident Memory linux64-stylo-sequential opt stylo-sequential     537,846,337.52 -> 680,134,174.59
 24%  Explicit Memory windows7-32 opt stylo                             240,477,392.59 -> 297,137,873.53
 23%  Explicit Memory windows7-32 pgo stylo                             241,027,583.52 -> 297,114,508.05
 17%  Resident Memory linux64-qr opt stylo                              1,031,781,046.43 -> 1,206,218,837.94

Improvements:

 60%  Images osx-10-10 opt stylo                                    6,883,714.27 -> 2,720,925.23
 45%  Heap Unclassified osx-10-10 opt stylo                         62,467,053.36 -> 34,261,551.97
 28%  JS osx-10-10 opt stylo                                        96,677,326.56 -> 70,044,432.79
 23%  Base Content Resident Unique Memory windows7-32 opt stylo     41,430,698.67 -> 32,015,530.67
 22%  Base Content Resident Unique Memory windows7-32 pgo stylo     41,456,384.00 -> 32,166,400.00
 17%  Images linux64-qr opt stylo                                   6,840,148.85 -> 5,649,026.02
  6%  Heap Unclassified windows7-32 pgo stylo                       28,802,207.86 -> 27,054,119.61
  4%  JS linux64-stylo-sequential opt stylo-sequential              98,165,571.40 -> 94,169,544.03

For up to date results, see: https://treeherder.mozilla.org/perf.html#/alerts?id=16414
(In reply to Ionuț Goldan [:igoldan], Performance Sheriffing from comment #29)
> Be aware that we noticed very big AWSY regressions, when this bug landed.
> The backouts canceled them, of course.

Thanks for the heads up. This is most likely because we added dmd support to awsy in bug 1395540, comment 30. The main issue is we use the presence of 'dmd.py' to determine whether or not to enable dmd at runtime which made sense before when you had to explicitly add '--enable-dmd' to your config when pushing to try.

I have fixes for comment 28, but need to think about a better way to decide whether or not to enable dmd at runtime.
Flags: needinfo?(erahm)
This makes enabling DMD at runtime in automation opt-in via a '--dmd' param.
Currently this is enabled via the 'awsy-dmd-e10s' and 'awsy-base-dmd-e10s'
tests.
Attachment #9014566 - Flags: review?(bob)
It would appear completely disabling is not the way to go. Lets limit to try for now.
Attachment #9014583 - Flags: review?(bob)
Attachment #9014566 - Attachment is obsolete: true
Attachment #9014566 - Flags: review?(bob)
Comment on attachment 9014583 [details] [diff] [review]
Part 4: Add a DMD variant of AWSY tests

It would appear my taskcluster-fu is weak, this doesn't seem to add a awsy-dmd option as I expected.

> try: -b o -p win64,linux64,macosx64 -u awsy-base-dmd-e10s,awsy-base-e10s,awsy-dmd-e10s,awsy-e10s -t none

Doesn't seem to have worked [1]. Looking at tasks to add I don't see sy-d listed either. Bob, do you have any idea what the right thing to do is?

[1] https://treeherder.mozilla.org/#/jobs?repo=try&revision=b87b1d059067e546a0821750baa079e7cc019086
Attachment #9014583 - Flags: review?(bob) → feedback?(bob)
Comment on attachment 9014583 [details] [diff] [review]
Part 4: Add a DMD variant of AWSY tests

Review of attachment 9014583 [details] [diff] [review]:
-----------------------------------------------------------------

Add this

diff --git a/taskcluster/ci/test/test-sets.yml b/taskcluster/ci/test/test-sets.yml
--- a/taskcluster/ci/test/test-sets.yml
+++ b/taskcluster/ci/test/test-sets.yml
@@ -114,16 +114,18 @@ raptor-fetch-geckoview:
 raptor-fetch-chrome:
     - raptor-unity-webgl-chrome
     - raptor-wasm-misc-chrome
     - raptor-assorted-dom-chrome
 
 awsy:
     - awsy
     - awsy-base
+    - awsy-dmd
+    - awsy-base-dmd
 
 awsy-stylo-sequential:
     - awsy-stylo-sequential
 
 ##
 # Limited test sets for specific platforms
 
 linux-qr-tests:

Check with

./mach try fuzzy --no-push --full --query "awsy dmd"
Attachment #9014583 - Flags: feedback?(bob)
This makes enabling DMD at runtime in automation opt-in via a '--dmd' param.
Currently this is enabled via the 'awsy-dmd-e10s' and 'awsy-base-dmd-e10s'
tests.

Bob, this seems to work. Thanks for the feedback!

try looks happy:
  https://treeherder.mozilla.org/#/jobs?repo=try&revision=19b0e1253c314d39fae018e95f87d74f8fc7470b
Attachment #9015314 - Flags: review?(bob)
Attachment #9014583 - Attachment is obsolete: true
Comment on attachment 9015314 [details] [diff] [review]
Part 4: Add a DMD variant of AWSY tests

Review of attachment 9015314 [details] [diff] [review]:
-----------------------------------------------------------------

r+ lgtm with the exception of the incomplete memory report errors on osx. Do you understand what is going on there? This is try only so shouldn't be an issue for landing so long as we follow up before making it available elsewhere.
Attachment #9015314 - Flags: review?(bob) → review+
(In reply to Bob Clary [:bc:] from comment #36)
> Comment on attachment 9015314 [details] [diff] [review]
> Part 4: Add a DMD variant of AWSY tests
> 
> Review of attachment 9015314 [details] [diff] [review]:
> -----------------------------------------------------------------
> 
> r+ lgtm with the exception of the incomplete memory report errors on osx. Do
> you understand what is going on there? This is try only so shouldn't be an
> issue for landing so long as we follow up before making it available
> elsewhere.

Thanks for the quick review! It's just timing out, DMD on macOS in automation seems to be too slow. We could try bumping the timeout in nsMemoryReporterManager [1] or avoid stack fixing [2]. I'll file a follow-up for that.

[1] https://searchfox.org/mozilla-central/rev/29aea2a2a3bd0f5e25ce0b60a76053fb25ba5149/xpcom/base/nsMemoryReporterManager.h#209
[2] https://searchfox.org/mozilla-central/rev/29aea2a2a3bd0f5e25ce0b60a76053fb25ba5149/xpcom/base/CodeAddressService.h#148
Pushed by erahm@mozilla.com:
https://hg.mozilla.org/integration/mozilla-inbound/rev/46462bfc0e9b
Part 1: Accept SmokeDMD when filtering test DMD stacks. r=njn
https://hg.mozilla.org/integration/mozilla-inbound/rev/74abe131db1b
Part 2: Remove old DMD configs r=glandium
https://hg.mozilla.org/integration/mozilla-inbound/rev/568a3198520c
Part 3: Enable DMD in nightly/CI builds r=glandium
https://hg.mozilla.org/integration/mozilla-inbound/rev/035fd114b4f8
Part 4: Add a DMD variant of AWSY tests. r=bc
Hi, there seem to be some dmd failures on central - https://treeherder.mozilla.org/#/jobs?repo=mozilla-central&resultStatus=testfailed,busted,exception&classifiedState=unclassified&selectedJob=204181341

Also it's mentioned that there shall be a follow up bug which is nowhere to be seen.
Flags: needinfo?(erahm)
(In reply to Stefan Hindli [:stefan_hindli] from comment #40)
> Hi, there seem to be some dmd failures on central -
> https://treeherder.mozilla.org/#/jobs?repo=mozilla-
> central&resultStatus=testfailed,busted,
> exception&classifiedState=unclassified&selectedJob=204181341
> 
> Also it's mentioned that there shall be a follow up bug which is nowhere to
> be seen.

So either this caused a new issue or bug 1371038 had a latent issue. I've ni'd catlee over there to see if he knows what's going on.
Flags: needinfo?(erahm)
Attached patch Bring back the nightly_dmd task (obsolete) — Splinter Review
Chris, does this look right? OTOH should we just remove that nightly task from .cron.yml?
Attachment #9015615 - Flags: review?(catlee)
There's a little more followup to fix the nightly dmd task.
Status: RESOLVED → REOPENED
Resolution: FIXED → ---
Comment on attachment 9015615 [details] [diff] [review]
Bring back the nightly_dmd task

Review of attachment 9015615 [details] [diff] [review]:
-----------------------------------------------------------------

lgtm.

have you verified this produces the correct taskgraph when run locally?
Attachment #9015615 - Flags: review?(catlee) → review+
Attachment #9015615 - Attachment is obsolete: true
glandium pointed out that we don't actually need this task in bug 1371038, comment 63. I've verified that my nightly build updated to include dmd.
Status: REOPENED → RESOLVED
Closed: Last yearLast year
Resolution: --- → FIXED
Blocks: 1500523
You need to log in before you can comment on or make changes to this bug.